org.apache.ignite.igfs

## Enum IgfsIpcEndpointType

- java.lang.Object
- - java.lang.Enum<IgfsIpcEndpointType>
  - - org.apache.ignite.igfs.IgfsIpcEndpointType

All Implemented Interfaces:
  Serializable, Comparable<IgfsIpcEndpointType>

    public enum IgfsIpcEndpointType
    extends Enum<IgfsIpcEndpointType>

IGFS endpoint type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SHMEM` Shared memory endpoint.
`TCP` TCP endpoint.

### Method Summary

Methods
`static IgfsIpcEndpointType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IgfsIpcEndpointType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SHMEM

    public static final IgfsIpcEndpointType SHMEM

Shared memory endpoint.

#### TCP

    public static final IgfsIpcEndpointType TCP

TCP endpoint.

### Method Detail

#### values

    public static IgfsIpcEndpointType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgfsIpcEndpointType c : IgfsIpcEndpointType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgfsIpcEndpointType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015